Question-and-Answer Resource for the Building Energy Modeling Community
Get s tarted with the Help page
Ask Your Question
2

OS 1.8.0/EP 8.3./Ubuntu: How to run IDFVersionUpdater ?

asked 2015-07-16 07:05:57 -0500

updated 2015-07-17 07:57:12 -0500

when I try to start the bundled IDFVersionUpdater in terminal window:

 /usr/local/share/openstudio-1.8.0/EnergyPlus-8-3-0/PreProcess/IDFVersionUpdater/IDFVersionUpdater myFile.idf

the program responds with the error message:

Failed to find/load Framework library
libgtk-x11-2.0.so.0: cannot open shared object file: No such file or directory

Is this a bug or is there a more appropriate way to invoke the program ?

edit retag flag offensive close merge delete

Comments

@osuserat I retagged your quesion with the software and existing tags.

MatthewSteen gravatar image MatthewSteen  ( 2015-07-16 07:55:12 -0500 )edit

and BTW your handle makes it difficult to @mention you since the leading and trailing _ are interpreted as italics in markdown.

MatthewSteen gravatar image MatthewSteen  ( 2015-07-16 07:56:49 -0500 )edit

Which version of Ubuntu are you running?

Edwin gravatar image Edwin  ( 2015-07-16 08:38:17 -0500 )edit

my Ubuntu version is 14.04 LTS 64 bit

OS-user-AT gravatar image OS-user-AT  ( 2015-07-17 03:59:25 -0500 )edit

1 Answer

Sort by ยป oldest newest most voted
3

answered 2015-07-16 08:53:52 -0500

If you are using 14.04, that package should already be installed. It is listed in the default packages installed for Trusty here. If you aren't using Ubuntu 14.04, then it's not a platform we support, although you may be able to just apt-get install libgtk2.0-0.

edit flag offensive delete link more

Comments

libgtk2.0-0 is already installed, as I checked with synaptic. Thus the problem is still unresolved.

OS-user-AT gravatar image OS-user-AT  ( 2015-07-17 04:01:15 -0500 )edit

Can you provide the output of:

$ ldd /usr/local/share/openstudio-1.8.0/EnergyPlus-8-3-0/PreProcess/IDFVersionUpdater/IDFVersionUpdater

(Where ldd is L D D)

Edwin gravatar image Edwin  ( 2015-07-17 09:11:39 -0500 )edit

ldd /usr/local/share/openstudio-1.8.0/EnergyPlus-8-3-0/PreProcess/IDFVersionUpdater/IDFVersionUpdater

linux-gate.so.1 =>  (0xf77d1000)

libdl.so.2 => /lib/i386-linux-gnu/libdl.so.2 (0xf779a000)

libpthread.so.0 => /lib/i386-linux-gnu/libpthread.so.0 (0xf777e000)

libc.so.6 => /lib/i386-linux-gnu/libc.so.6 (0xf75cf000)

/lib/ld-linux.so.2 (0xf77d2000)
OS-user-AT gravatar image OS-user-AT  ( 2015-07-17 11:33:13 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

 

Question Tools

2 followers

Stats

Asked: 2015-07-16 07:05:57 -0500

Seen: 194 times

Last updated: Jul 16 '15